libplayerdrivers

Library of standard Player drivers. More...

## Modules

| Drivers
| The drivers themselves.
void | player_register_drivers ()
| Register available drivers. More...

## Detailed Description

Library of standard Player drivers.

This library contains all the drivers that were built during the Player installation. The contents will vary from system to system, depending on which drivers' prerequisites are satisfied and which options are supplied by the user to the configure script.

See Installation for configure options to enable and disable compilation of particular drivers.

## Function Documentation

void player_register_drivers | ( |  | ) |

Register available drivers.

This function adds each driver that is included in libplayerdrivers to the global driverTable. From there, the drivers can be instantiated and bound to interfaces. If you use libplayerdrivers, you should call this function during program intialization.

Last updated 12 September 2005 21:38:45